Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 98936 - kdetv-0.8.7 cannot find any channels
Summary: kdetv-0.8.7 cannot find any channels
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-13 16:53 UTC by Joerg Schaible
Modified: 2007-04-02 18:58 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Schaible 2005-07-13 16:53:51 UTC
kdetv-0.8.7 does not find any channels and is not able to display any channel 
from an imported list that works with kdetv-0.8.4. I have masked this version 
on my box, since 0.8.4 (the last tsable) works without any problems. 

Reproducible: Always
Steps to Reproduce:
1. start kdetv 
2. 
3. 
 
Actual Results:  
No channel is found, sound is muted. 

Expected Results:  
A TV channel. 

I am not sure, what is the useful info to provide in this case. My video 
driver saa7134-empress works, if I load it as module automatically at startup.  
  
joehni@paddy ~ $ lsmod   
Module                  Size  Used by   
snd_pcm_oss            47392  0   
snd_mixer_oss          17024  1 snd_pcm_oss   
8250_pnp                8064  0   
8250                   21276  1 8250_pnp   
serial_core            19200  1 8250   
ohci1394               32052  0   
ieee1394              300532  1 ohci1394   
snd_intel8x0           28864  3   
snd_ac97_codec         78392  1 snd_intel8x0   
snd_pcm                82120  4 snd_pcm_oss,snd_intel8x0,snd_ac97_codec   
snd_page_alloc          7620  2 snd_intel8x0,snd_pcm   
i2c_nforce2             5568  0   
svgalib_helper         11556  0   
saa7134_empress         6980  0   
tda9887                12696  0   
tuner                  26472  0   
saa7134               101652  1 saa7134_empress   
video_buf              17668  2 saa7134_empress,saa7134   
v4l2_common             4736  1 saa7134   
v4l1_compat            13636  1 saa7134   
i2c_core               17808  4 i2c_nforce2,tda9887,tuner,saa7134   
ir_common               6212  1 saa7134   
videodev                7232  2 saa7134_empress,saa7134   
nvidia               3916924  0
Comment 1 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-07 03:48:43 UTC
Joerg: No one else seems to have the problem and I couldn't find anything in
bugs.kde.org either. Since I'm just caring if kdetv compiles (I don't even have
a tv card.), I can't definitely say if this is a bug or a local problem, even
though I guess the latter is more likely.

Do you have the problem with 0.8.8?
Comment 2 Joerg Schaible 2005-10-07 13:56:50 UTC
Hello Carsten, 
 
unfortunately still the same. I'll try now on the mailing list of kdetv ... 
I'll update here if I get any new info. Please keep 0.8.4 in the tree unless 
this is solved. 
 
Thanks, 
J
Comment 3 Joerg Schaible 2005-10-07 13:56:50 UTC
Hello Carsten, 
 
unfortunately still the same. I'll try now on the mailing list of kdetv ... 
I'll update here if I get any new info. Please keep 0.8.4 in the tree unless 
this is solved. 
 
Thanks, 
Jörg 
Comment 4 Joerg Schaible 2005-10-19 12:56:33 UTC
This might be the related: 
http://thread.gmane.org/gmane.comp.kde.kwintv/2626 
Comment 5 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-19 13:24:13 UTC
What means "might"!? Apply the patch and you know it. :)
Comment 6 Joerg Schaible 2005-11-14 11:18:24 UTC
Hi Carsten, 
 
meanwhile I found time to upgrade my kernel (now already to latest stable 
2.6.14-r2), but the saa7134.c driver still misses the initialization of the 
type member in the structure. After applying the patch published in the kwintv 
(and video4linux) list, latest kdetv works like charm. 
 
How to proceed? IMHO this bug must be reassigned to the kernel devs, they will 
report upstream. 
 
Regards, 
J
Comment 7 Joerg Schaible 2005-11-14 11:18:24 UTC
Hi Carsten, 
 
meanwhile I found time to upgrade my kernel (now already to latest stable 
2.6.14-r2), but the saa7134.c driver still misses the initialization of the 
type member in the structure. After applying the patch published in the kwintv 
(and video4linux) list, latest kdetv works like charm. 
 
How to proceed? IMHO this bug must be reassigned to the kernel devs, they will 
report upstream. 
 
Regards, 
Jörg 
Comment 8 Joerg Schaible 2005-11-14 11:27:05 UTC
Gosh, unfortunately I have to revoke my last report. kdetv-0.8.8 can initialize 
the driver only sometimes. Most of the time I still have the an error if I 
start the app ... will investigate further. 
 
 
 
Comment 9 Joerg Schaible 2005-11-14 12:14:44 UTC
kdetv seems now only working the first time it is invoked (or the first time 
the driver is initialized). Funny thing is, that the reported errors on the 
console during startup seem quite equal, but closing kdetv seems to trigger an 
unrecoverable error in th v4l2 driver (without the kernel patch, the tuner 
cannot even be found): 
 
joehni@paddy ~/bin $ kdetvv4lsetup: using X11 display :0 
WARNING: Your X-Server has no DGA support. 
mode: 1600x1200, depth=24, bpp=32, bpl=6400, base=unknown 
WARNING: couldn't find framebuffer base address, try manual 
         configuration ("kdetvv4lsetup -a <addr>") 
/dev/v4l/video0 [v4l2]: configuration done 
Try to open v4l2 vbi device, libzvbi interface rev. 
$Id: io-v4l2.c,v 1.12 2002/11/30 02:37:18 mschimek Exp $Opened /dev/v4l/vbi0 
Try to open v4l2 (2002-10) vbi device, libzvbi interface rev. 
$Id: io-v4l2k.c,v 1.4 2003/02/16 18:58:07 mschimek Exp $Opened /dev/v4l/vbi0 
/dev/v4l/vbi0 (ASUS TV-FM 7134) is a v4l2 vbi device, 
driver saa7134, version 0x0000020e 
Current scanning system is 625 
Querying current vbi parameters... success 
VBI capture parameters granted: format 59455247, 27000000 Hz, 2048 bpl, offs 
256, F1 7+16, F2 319+16, flags 00000000 
Nyquist check passed 
Request decoding of services 0x60000c7f 
Will decode services 0x0000041f 
Using streaming interface 
Fifo initialized 
Requesting streaming i/o buffers 
kdetv: WARNING: VBIDecoder: vbi_capture_v4l2_new error: Cannot request 
streaming i/o buffers from /dev/v4l/vbi0 (ASUS TV-FM 7134): 22, Invalid 
argument. 
Try to open v4l vbi device, libzvbi interface rev. 
$Id: io-v4l.c,v 1.9 2002/11/30 02:37:18 mschimek Exp $Opened /dev/v4l/vbi0 
Driver name 'ASUS TV-FM 7134' 
Attempt to guess the videostandard 
Driver supports VIDIOCGTUNER: 0 
Videostandard is PAL/SECAM 
/dev/v4l/vbi0 (ASUS TV-FM 7134) is a v4l vbi device 
Hinted video standard 0, guessed 625 
Driver supports VIDIOCGVBIFMT, guessed videostandard 625 
Accept current vbi parameters 
Guessed videostandard 625 
Nyquist check passed 
Will decode services 0x0000041f 
Warning: no read select, reading will block 
Capture buffer allocated 
Successful opened /dev/v4l/vbi0 (ASUS TV-FM 7134) 
kdetv: WARNING: MainWindow::setupInfraRed(): Lirc not available 
QDateTime::fromString: Parameter out of range 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 2 
V4L2Grabber::~V4L2Grabber(): wait(). 
V4L2Grabber::~V4L2Grabber(): deleted. 
kdetv: WARNING: V4L2Dev: VIDIOC_QBUF failed: Invalid argument 
 
[1]+  Done                    LANG=C kdetv 
joehni@paddy ~/bin $ LANG=C kdetv & 
[1] 10539 
joehni@paddy ~/bin $ kdetvv4lsetup: using X11 display :0 
WARNING: Your X-Server has no DGA support. 
mode: 1600x1200, depth=24, bpp=32, bpl=6400, base=unknown 
WARNING: couldn't find framebuffer base address, try manual 
         configuration ("kdetvv4lsetup -a <addr>") 
/dev/v4l/video0 [v4l2]: configuration done 
Try to open v4l2 vbi device, libzvbi interface rev. 
$Id: io-v4l2.c,v 1.12 2002/11/30 02:37:18 mschimek Exp $Opened /dev/v4l/vbi0 
Try to open v4l2 (2002-10) vbi device, libzvbi interface rev. 
$Id: io-v4l2k.c,v 1.4 2003/02/16 18:58:07 mschimek Exp $Opened /dev/v4l/vbi0 
/dev/v4l/vbi0 (ASUS TV-FM 7134) is a v4l2 vbi device, 
driver saa7134, version 0x0000020e 
Current scanning system is 625 
Querying current vbi parameters... success 
VBI capture parameters granted: format 59455247, 27000000 Hz, 2048 bpl, offs 
256, F1 7+16, F2 319+16, flags 00000000 
Nyquist check passed 
Request decoding of services 0x60000c7f 
Will decode services 0x0000041f 
Using streaming interface 
Fifo initialized 
Requesting streaming i/o buffers 
kdetv: WARNING: VBIDecoder: vbi_capture_v4l2_new error: Cannot request 
streaming i/o buffers from /dev/v4l/vbi0 (ASUS TV-FM 7134): 22, Invalid 
argument. 
Try to open v4l vbi device, libzvbi interface rev. 
$Id: io-v4l.c,v 1.9 2002/11/30 02:37:18 mschimek Exp $Opened /dev/v4l/vbi0 
Driver name 'ASUS TV-FM 7134' 
Attempt to guess the videostandard 
Driver supports VIDIOCGTUNER: 0 
Videostandard is PAL/SECAM 
/dev/v4l/vbi0 (ASUS TV-FM 7134) is a v4l vbi device 
Hinted video standard 0, guessed 625 
Driver supports VIDIOCGVBIFMT, guessed videostandard 625 
Accept current vbi parameters 
Guessed videostandard 625 
Nyquist check passed 
Will decode services 0x0000041f 
Warning: no read select, reading will block 
Capture buffer allocated 
Successful opened /dev/v4l/vbi0 (ASUS TV-FM 7134) 
kdetv: WARNING: MainWindow::setupInfraRed(): Lirc not available 
QDateTime::fromString: Parameter out of range 
kdetv: WARNING: VbiDecoder: VBI capture error: Input/output error 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev: VIDIOC_QBUF failed: Invalid argument 
kdetv: WARNING: V4L2Dev: VIDIOC_QBUF failed: Invalid argument 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev: VIDIOC_QBUF failed: Invalid argument 
kdetv: WARNING: V4L2Dev: VIDIOC_QBUF failed: Invalid argument 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
kdetv: WARNING: V4L2Dev: VIDIOC_DQBUF failed: Input/output error 
kdetv: WARNING: IO error - requeuing buffer 
kdetv: WARNING: V4L2Dev::enqueueBuffer(): buffer already queued: 0 
Too many errors. Ending V4L2 grabbing. 
V4L2Grabber::~V4L2Grabber(): wait(). 
V4L2Grabber::~V4L2Grabber(): deleted. 
kdetv: WARNING: V4L2Dev: VIDIOC_QBUF failed: Invalid argument 
V4L2Grabber::~V4L2Grabber(): wait(). 
V4L2Grabber::~V4L2Grabber(): deleted. 
 
[1]+  Done                    LANG=C kdetv 
 
 
Also kdetv works with the older v4l driver, it is just the v4l2 driver that 
fails. 
Comment 10 Jonathan Adamczewski 2007-03-15 23:44:33 UTC
Was this ever resolved?  If so, the bug can be closed.
Comment 11 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2007-04-02 18:51:26 UTC
As this appears to be a kernel driver / v4l2 issue and there has been no related activity for almost 18 months, I'm closing the bug.

Joerg,

if you still haven't solve your issue, take a look at the following links:

http://gentoo-wiki.com/HARDWARE_saa7134
http://linuxtv.org/v4lwiki/index.php/Saa7134_devices_%28saa713x%29
Comment 12 Joerg Schaible 2007-04-02 18:58:55 UTC
I still use V4L1 drivers ... but I have not checked V4L2 drivers for quite some time.